## GnomeDbEntryPassmd5

GnomeDbEntryPassmd5 — Used to store password as an MD5 sum of real password

## Synopsis

                GnomeDbEntryPassmd5;
                GnomeDbEntryPassmd5Private;
    GType       gnome_db_entry_passmd5_get_type (void);
    GtkWidget*  gnome_db_entry_passmd5_new      (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----GnomeDbEntryShell
                                           +----GnomeDbEntryWrapper
                                                 +----GnomeDbEntryPassmd5

## Implemented Interfaces

GnomeDbEntryPassmd5 implements AtkImplementorIface and GnomeDbDataEntry.

## Description

## Details

### GnomeDbEntryPassmd5

    typedef struct _GnomeDbEntryPassmd5 GnomeDbEntryPassmd5;

### GnomeDbEntryPassmd5Private

    typedef struct _GnomeDbEntryPassmd5Private GnomeDbEntryPassmd5Private;

### gnome_db_entry_passmd5_get_type ()

    GType       gnome_db_entry_passmd5_get_type (void);

Returns : |

### gnome_db_entry_passmd5_new ()

    GtkWidget*  gnome_db_entry_passmd5_new      (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget